using Sirenix.OdinInspector;
using UnityEngine;

namespace VOID.Generic.Trajectory
{
    [TypeRegistryItem("Instant")]
    public sealed class InstantTrajectory : AbstractTrajectory
    {
        protected override void OnInit()
        {
        }
        
        public override float GetProgressForDistance(float currentDistance)
        {
            return 1; 
        }
        
        public override Vector3 GetPositionByProgress(float progress)
        {
            return endPosition;
        }
    }
}